{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","properties":{"data":{"description":"Claims to sign into the client key.\n\nYou may provide a `user_id`, a `user_id` and `order_id`, or a `user_id`\nand `booking_id`. You can also omit the request body to create a key with\nno extra claims.\n\nThis endpoint does not check that the claims are valid, complete, or\nappropriate for a later request. Downstream endpoints that accept the key\ndecide whether the claims make sense; if they are missing or incorrect,\ncreating the key will still succeed and the failure happens when the key\nis used.\n","anyOf":[{"additionalProperties":false,"description":"Use this payload to create a client key scoped to a customer user","properties":{"user_id":{"description":"The ID of the user for whom the client key will be created.","type":"string","maxLength":16000}},"type":"object","maxProperties":100},{"additionalProperties":false,"description":"Use this payload to create a client key scoped to a customer user and order.","properties":{"order_id":{"description":"The ID of the order for which the client key will be created.","type":"string","maxLength":16000},"user_id":{"description":"The ID of the user for whom the client key will be created.","type":"string","maxLength":16000}},"type":"object","maxProperties":100},{"additionalProperties":false,"description":"Use this payload to create a client key scoped to a customer user and booking.","properties":{"booking_id":{"description":"The ID of the booking for which the client key will be created.","type":"string","maxLength":16000},"user_id":{"description":"The ID of the user for whom the client key will be created.","type":"string","maxLength":16000}},"type":"object","maxProperties":100}]},"deviceIp":{"type":"string","maxLength":45},"deviceUserAgent":{"type":"string","maxLength":1000}},"required":["data"],"additionalProperties":false},"name":"Identity: Create a component client key","id":"duffel.api.identity.component-client-keys.create","example":{"data":{"user_id":"icu_0000AgZitpOnQtd3NQxjwO"}},"maxRequests":1,"summary":false}}